#
#   DOWNLOAD MANAGER 1.12
#      MySQL Queries
#

CREATE TABLE dlm_files (
   id int(11) DEFAULT '0' NOT NULL,
   title text NOT NULL,
   url text NOT NULL,
   size int(15) DEFAULT '0' NOT NULL,
   added int(15),
   poster int(11) DEFAULT '0' NOT NULL,
   downloads int(11) DEFAULT '0' NOT NULL,
   lastdownload int(15),
   keywords varchar(250) NOT NULL,
   description text NOT NULL,
   moreinfos text NOT NULL,
   kategorie int(11) DEFAULT '0' NOT NULL,
   views int(15) DEFAULT '0' NOT NULL,
   rater int(15) DEFAULT '0' NOT NULL,
   rating int(1) DEFAULT '0' NOT NULL,
   link1 text NOT NULL,
   link2 text NOT NULL,
   link3 text NOT NULL,
   link4 text NOT NULL,
   link5 text NOT NULL,
   ltitle1 varchar(200) NOT NULL,
   ltitle2 varchar(200) NOT NULL,
   ltitle3 varchar(200) NOT NULL,
   ltitle4 varchar(200) NOT NULL,
   ltitle5 varchar(200) NOT NULL,
   mirror1 text NOT NULL,
   mirror2 text NOT NULL,
   mirror3 text NOT NULL,
   mirror4 text NOT NULL,
   mirror5 text NOT NULL,
   mtitle1 varchar(200) NOT NULL,
   mtitle2 varchar(200) NOT NULL,
   mtitle3 varchar(200) NOT NULL,
   mtitle4 varchar(200) NOT NULL,
   mtitle5 varchar(200) NOT NULL,
   PRIMARY KEY (id)
);


CREATE TABLE dlm_categories (
   id int(3) DEFAULT '0' NOT NULL,
   title varchar(100) NOT NULL,
   description text NOT NULL,
   under int(3) DEFAULT '0' NOT NULL,
   PRIMARY KEY (id)
);

INSERT INTO dlm_categories VALUES( '0', 'Allgemein', 'bersicht ber alle Kategorien in diesem Download Manager', '-1');


CREATE TABLE dlm_member (
   name varchar(50) NOT NULL,
   pass varchar(50) NOT NULL,
   email varchar(100) NOT NULL,
   id int(11) NOT NULL auto_increment,
   ebene tinyint(1) DEFAULT '0' NOT NULL,
   PRIMARY KEY (id)
);

INSERT INTO dlm_member VALUES( 'god', 'password', 'download-manager@webinteraktiv.de', '1', '3');


CREATE TABLE dlm_comments (
   name varchar(50) NOT NULL,
   email varchar(100) NOT NULL,
   comment text NOT NULL,
   time int(15) NOT NULL,
   ip int(15) NOT NULL,
   id int(11) NOT NULL
);